--- ./Makefile.in.orig	2008-07-14 17:07:08.000000000 +0300
+++ ./Makefile.in	2010-01-22 18:45:46.000000000 +0200
@@ -184,10 +184,6 @@
 
 ##############################
 install-binPROGRAMS: $(bin_PROGRAMS)
-	-@if test ! -d $(prefix); then \
-		echo "creating $(prefix)"; \
-		mkdir $(prefix); \
-	fi
 	-@if test ! -d $(bindir); then \
 		echo "creating $(bindir)"; \
 		mkdir $(bindir); \
@@ -197,56 +193,6 @@
 		mkdir /tmp/sams; \
 		chmod  777 /tmp/sams; \
 	fi
-	-@if test -f /etc/sams.conf; then \
-		echo "move old sams.conf to sams.conf.old"; \
-		mv /etc/sams.conf /etc/sams.conf.old; \
-	fi
-	cp ./etc/sams.conf $(sysconfdir);
-	cp ./sams $(bindir);
-	cp ./samsf $(bindir);
-	cp ./samsredir $(bindir);
-	cp ./samsdaemon $(bindir);
-	cp ./etc/sams $(RCDPATH);
-	cp ./mysql/recover_admin_passwd $(bindir);
-	-@if test ! -d $(datadir); then \
-		echo "creating $(datadir)"; \
-		mkdir $(datadir); \
-	fi
-	-@if test ! -d $(datadir)/sams; then \
-		echo "creating $(datadir)/sams"; \
-		mkdir $(datadir)/sams; \
-	fi
-	-@if test ! -d $(datadir)/sams/src; then \
-		rm -f $(datadir)/sams/src; \
-	fi
-	cp -R php/* $(datadir)/sams/;
-	-@if test ! -d $(datadir)/sams/src/lffolder_4_z3_local.php; then \
-		rm -f  $(datadir)/sams/src/lffolder_4_z3_local.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/src/lffolder_1_admin.php; then \
-		rm -f  $(datadir)/sams/src/lffolder_1_admin.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/src/lffolder_6_users.php; then \
-		rm -f  $(datadir)/sams/src/lffolder_6_users.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/src/adminbuttom_1_prop.php; then \
-		rm -f  $(datadir)/sams/src/adminbuttom_1_prop.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/data; then \
-		echo "creating $(datadir)/sams/data"; \
-		mkdir $(datadir)/sams/data; \
-	fi
-	chmod 777 $(datadir)/sams/data; 
-	chmod ugo+x $(datadir)/sams/bin/*;
-	rm -f $(datadir)/sams/data/*;
-	cp -R doc $(datadir)/sams/;
-	cp ./mysql/sams_db.sql $(datadir)/sams/data;
-	cp ./mysql/squid_db.sql $(datadir)/sams/data;
-	cp ./update/upgrade_mysql_table.php $(datadir)/sams/data;
-	-@if test ! -d $(HTTPDPATH)/sams; then \
-		echo "creating symlink to sams directory"; \
-		ln -s $(datadir)/sams $(HTTPDPATH)/sams; \
-	fi
 
 uninstall-binPROGRAMS:
 	rm $(bindir)/sams;
@@ -266,31 +212,6 @@
 	cp ./samsdaemon $(bindir);
 	cp ./etc/sams $(RCDPATH);
 	cp ./mysql/recover_admin_passwd $(bindir);
-	-@if test ! -d $(datadir)/sams; then \
-		echo "creating $(datadir)/sams"; \
-		mkdir $(datadir)/sams; \
-	fi
-	-@if test ! -d $(datadir)/sams/src; then \
-		rm -f $(datadir)/sams/src; \
-	fi
-	cp -R php/* $(datadir)/sams/;
-	-@if test ! -d $(datadir)/sams/src/lffolder_4_z3_local.php; then \
-		rm -f  $(datadir)/sams/src/lffolder_4_z3_local.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/src/lffolder_1_admin.php; then \
-		rm -f  $(datadir)/sams/src/lffolder_1_admin.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/src/lffolder_6_users.php; then \
-		rm -f  $(datadir)/sams/src/lffolder_6_users.php; \
-	fi
-	-@if test ! -d $(datadir)/sams/src/adminbuttom_1_prop.php; then \
-		rm -f  $(datadir)/sams/src/adminbuttom_1_prop.php; \
-	fi
-	chmod 777 $(datadir)/sams/data; 
-	chmod ugo+x $(datadir)/sams/bin/*;
-	rm -f $(datadir)/sams/data/*;
-	cp ./update/upgrade_mysql_table.php $(datadir)/sams/data;
-	cp -R doc $(datadir)/sams/;
 
 	
 .s.o:
--- ./etc/sams.conf.orig        2008-02-28 12:26:35.000000000 +0200
+++ ./etc/sams.conf     2008-02-28 16:11:08.000000000 +0200
@@ -4,21 +4,21 @@
 MYSQLHOSTNAME=localhost
 MYSQLUSER=sams
 MYSQLPASSWORD=samspasswd
-MYSQLVERSION=4.0
+MYSQLVERSION=5.0
 SQUIDCACHEFILE=access.log
 SQUIDROOTDIR=/etc/squid
 SQUIDLOGDIR=/var/log/squid
-SQUIDCACHEDIR=/var/spool/squid
-SAMSPATH=/usr/local
+SQUIDCACHEDIR=/var/cache/squid
+SAMSPATH=/usr
 SQUIDPATH=/usr/sbin
 SQUIDGUARDLOGPATH=/var/log
 SQUIDGUARDDBPATH=/var/db/squidguard
-RECODECOMMAND=iconv -f KOI8-R -t 866 %finp > %fout
-LDAPSERVER=servername_or_ipadress
-LDAPBASEDN=your.domain
-LDAPUSER=DomainAdministrator
-LDAPUSERPASSWD=passwd
-LDAPUSERSGROUP=Users
-REJIKPATH=/usr/local/rejik
+RECODECOMMAND=iconv -f UTF-8 -t cp866 %finp > %fout
+#LDAPSERVER=servername_or_ipadress
+#LDAPBASEDN=your.domain
+#LDAPUSER=DomainAdministrator
+#LDAPUSERPASSWD=passwd
+#LDAPUSERSGROUP=Users
+#REJIKPATH=/usr/local/rejik
 SHUTDOWNCOMMAND=shutdown -h now
 CACHENUM=0
